summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Ahlberg <aliz@gentoo.org>2004-09-10 16:47:40 +0000
committerDaniel Ahlberg <aliz@gentoo.org>2004-09-10 16:47:40 +0000
commit40a9f66e93034b10308bed4654dd48a9484e7869 (patch)
treecb9a11918b8b678518cbbadf59eb5eff9e969aa0 /eclass/myth.eclass
parentCompile fix for qt-3.3.3-r1. (Manifest recommit) (diff)
downloadgentoo-2-40a9f66e93034b10308bed4654dd48a9484e7869.tar.gz
gentoo-2-40a9f66e93034b10308bed4654dd48a9484e7869.tar.bz2
gentoo-2-40a9f66e93034b10308bed4654dd48a9484e7869.zip
Initial import of myth.eclass
Diffstat (limited to 'eclass/myth.eclass')
-rw-r--r--eclass/myth.eclass36
1 files changed, 36 insertions, 0 deletions
diff --git a/eclass/myth.eclass b/eclass/myth.eclass
new file mode 100644
index 000000000000..57100d4bb2e8
--- /dev/null
+++ b/eclass/myth.eclass
@@ -0,0 +1,36 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/myth.eclass,v 1.1 2004/09/10 16:47:40 aliz Exp $
+#
+# Author: Daniel Ahlberg <aliz@gentoo.org>
+#
+
+ECLASS=myth
+INHERITED="${INHERITED} ${ECLASS}"
+
+EXPORT_FUNCTIONS src_unpack src_compile src_install
+
+myth_src_unpack() {
+ unpack ${A} ; cd ${S}
+
+ if use debug ; then
+ FEATURES="${FEATURES} nostrip"
+ sed -e 's:#CONFIG += debug:CONFIG += debug:' \
+ -e 's:CONFIG += release:#CONFIG += release:' \
+ -i 'settings.pro' || die "enable debug failed"
+ fi
+
+ setup_pro
+}
+
+myth_src_compile() {
+ qmake -o "Makefile" "${PN}.pro"
+ emake || die
+}
+
+myth_src_install() {
+ einstall INSTALL_ROOT="${D}"
+ for doc in "AUTHORS COPYING FAQ UPGRADING ChangeLog README"; do
+ test -e "${doc}" && dodoc ${doc}
+ done
+}